PLASMA: plasma_d Module Reference

PLASMA 2.4.6

- Main Page
- Modules
- Data Types List

- Data Types List
- Data Types

All Data Structures Functions Groups
Data Types | Public Member Functions
plasma_d Module Reference

## Data Types
interface | PLASMA_Alloc_Workspace_dgebrd_c
interface | PLASMA_Alloc_Workspace_dgeev_c
interface | PLASMA_Alloc_Workspace_dgehrd_c
interface | PLASMA_Alloc_Workspace_dgelqf_c
interface | PLASMA_Alloc_Workspace_dgelqf_Tile_c
interface | PLASMA_Alloc_Workspace_dgels_c
interface | PLASMA_Alloc_Workspace_dgels_Tile_c
interface | PLASMA_Alloc_Workspace_dgeqrf_c
interface | PLASMA_Alloc_Workspace_dgeqrf_Tile_c
interface | PLASMA_Alloc_Workspace_dgesv_incpiv_c
interface | PLASMA_Alloc_Workspace_dgesv_incpiv_Tile_c
interface | PLASMA_Alloc_Workspace_dgesvd_c
interface | PLASMA_Alloc_Workspace_dgetrf_incpiv_c
interface | PLASMA_Alloc_Workspace_dgetrf_incpiv_Tile_c
interface | PLASMA_Alloc_Workspace_dgetri_Tile_Async_c
interface | PLASMA_Alloc_Workspace_dsyev_c
interface | PLASMA_Alloc_Workspace_dsyevd_c
interface | PLASMA_Alloc_Workspace_dsygv_c
interface | PLASMA_Alloc_Workspace_dsygvd_c
interface | PLASMA_Alloc_Workspace_dsytrd_c
interface | PLASMA_dgebrd_c
interface | PLASMA_dgebrd_Tile_Async_c
interface | PLASMA_dgebrd_Tile_c
interface | PLASMA_dgecfi_Async_c
interface | PLASMA_dgecfi_c
interface | PLASMA_dgelqf_c
interface | PLASMA_dgelqf_Tile_Async_c
interface | PLASMA_dgelqf_Tile_c
interface | PLASMA_dgelqs_c
interface | PLASMA_dgelqs_Tile_Async_c
interface | PLASMA_dgelqs_Tile_c
interface | PLASMA_dgels_c
interface | PLASMA_dgels_Tile_Async_c
interface | PLASMA_dgels_Tile_c
interface | PLASMA_dgemm_c
interface | PLASMA_dgemm_Tile_Async_c
interface | PLASMA_dgemm_Tile_c
interface | PLASMA_dgeqrf_c
interface | PLASMA_dgeqrf_Tile_Async_c
interface | PLASMA_dgeqrf_Tile_c
interface | PLASMA_dgeqrs_c
interface | PLASMA_dgeqrs_Tile_Async_c
interface | PLASMA_dgeqrs_Tile_c
interface | PLASMA_dgesv_c
interface | PLASMA_dgesv_incpiv_c
interface | PLASMA_dgesv_incpiv_Tile_Async_c
interface | PLASMA_dgesv_incpiv_Tile_c
interface | PLASMA_dgesv_Tile_Async_c
interface | PLASMA_dgesv_Tile_c
interface | PLASMA_dgesvd_c
interface | PLASMA_dgesvd_Tile_Async_c
interface | PLASMA_dgesvd_Tile_c
interface | PLASMA_dgetmi_Async_c
interface | PLASMA_dgetmi_c
interface | PLASMA_dgetrf_c
interface | PLASMA_dgetrf_incpiv_c
interface | PLASMA_dgetrf_incpiv_Tile_Async_c
interface | PLASMA_dgetrf_incpiv_Tile_c
interface | PLASMA_dgetrf_Tile_Async_c
interface | PLASMA_dgetrf_Tile_c
interface | PLASMA_dgetri_c
interface | PLASMA_dgetri_Tile_Async_c
interface | PLASMA_dgetri_Tile_c
interface | PLASMA_dgetrs_c
interface | PLASMA_dgetrs_incpiv_c
interface | PLASMA_dgetrs_incpiv_Tile_Async_c
interface | PLASMA_dgetrs_incpiv_Tile_c
interface | PLASMA_dgetrs_Tile_Async_c
interface | PLASMA_dgetrs_Tile_c
interface | PLASMA_dlacpy_c
interface | PLASMA_dlacpy_Tile_Async_c
interface | PLASMA_dlacpy_Tile_c
interface | PLASMA_dlange_c
interface | PLASMA_dlange_Tile_Async_c
interface | PLASMA_dlange_Tile_c
interface | PLASMA_dlansy_c
interface | PLASMA_dlansy_Tile_Async_c
interface | PLASMA_dlansy_Tile_c
interface | PLASMA_dLapack_to_Tile_Async_c
interface | PLASMA_dLapack_to_Tile_c
interface | PLASMA_dlaset_c
interface | PLASMA_dlaset_Tile_Async_c
interface | PLASMA_dlaset_Tile_c
interface | PLASMA_dlaswp_c
interface | PLASMA_dlaswp_Tile_Async_c
interface | PLASMA_dlaswp_Tile_c
interface | PLASMA_dlaswpc_c
interface | PLASMA_dlaswpc_Tile_Async_c
interface | PLASMA_dlaswpc_Tile_c
interface | PLASMA_dlauum_c
interface | PLASMA_dlauum_Tile_Async_c
interface | PLASMA_dlauum_Tile_c
interface | PLASMA_dorglq_c
interface | PLASMA_dorglq_Tile_Async_c
interface | PLASMA_dorglq_Tile_c
interface | PLASMA_dorgqr_c
interface | PLASMA_dorgqr_Tile_Async_c
interface | PLASMA_dorgqr_Tile_c
interface | PLASMA_dormlq_c
interface | PLASMA_dormlq_Tile_Async_c
interface | PLASMA_dormlq_Tile_c
interface | PLASMA_dormqr_c
interface | PLASMA_dormqr_Tile_Async_c
interface | PLASMA_dormqr_Tile_c
interface | PLASMA_dplgsy_c
interface | PLASMA_dplgsy_Tile_Async_c
interface | PLASMA_dplgsy_Tile_c
interface | PLASMA_dplrnt_c
interface | PLASMA_dplrnt_Tile_Async_c
interface | PLASMA_dplrnt_Tile_c
interface | PLASMA_dposv_c
interface | PLASMA_dposv_Tile_Async_c
interface | PLASMA_dposv_Tile_c
interface | PLASMA_dpotrf_c
interface | PLASMA_dpotrf_Tile_Async_c
interface | PLASMA_dpotrf_Tile_c
interface | PLASMA_dpotri_c
interface | PLASMA_dpotri_Tile_Async_c
interface | PLASMA_dpotri_Tile_c
interface | PLASMA_dpotrs_c
interface | PLASMA_dpotrs_Tile_Async_c
interface | PLASMA_dpotrs_Tile_c
interface | PLASMA_dsyev_c
interface | PLASMA_dsyev_Tile_Async_c
interface | PLASMA_dsyev_Tile_c
interface | PLASMA_dsyevd_c
interface | PLASMA_dsyevd_Tile_Async_c
interface | PLASMA_dsyevd_Tile_c
interface | PLASMA_dsygst_c
interface | PLASMA_dsygst_Tile_Async_c
interface | PLASMA_dsygst_Tile_c
interface | PLASMA_dsygv_c
interface | PLASMA_dsygv_Tile_Async_c
interface | PLASMA_dsygv_Tile_c
interface | PLASMA_dsygvd_c
interface | PLASMA_dsygvd_Tile_Async_c
interface | PLASMA_dsygvd_Tile_c
interface | PLASMA_dsymm_c
interface | PLASMA_dsymm_Tile_Async_c
interface | PLASMA_dsymm_Tile_c
interface | PLASMA_dsyr2k_c
interface | PLASMA_dsyr2k_Tile_Async_c
interface | PLASMA_dsyr2k_Tile_c
interface | PLASMA_dsyrk_c
interface | PLASMA_dsyrk_Tile_Async_c
interface | PLASMA_dsyrk_Tile_c
interface | PLASMA_dsytrd_c
interface | PLASMA_dsytrd_Tile_Async_c
interface | PLASMA_dsytrd_Tile_c
interface | PLASMA_dTile_to_Lapack_Async_c
interface | PLASMA_dTile_to_Lapack_c
interface | PLASMA_dtrmm_c
interface | PLASMA_dtrmm_Tile_Async_c
interface | PLASMA_dtrmm_Tile_c
interface | PLASMA_dtrsm_c
interface | PLASMA_dtrsm_Tile_Async_c
interface | PLASMA_dtrsm_Tile_c
interface | PLASMA_dtrsmpl_c
interface | PLASMA_dtrsmpl_Tile_Async_c
interface | PLASMA_dtrsmpl_Tile_c
interface | PLASMA_dtrsmrv_c
interface | PLASMA_dtrsmrv_Tile_Async_c
interface | PLASMA_dtrsmrv_Tile_c
interface | PLASMA_dtrtri_c
interface | PLASMA_dtrtri_Tile_Async_c
interface | PLASMA_dtrtri_Tile_c

## Public Member Functions
subroutine | plasma_dgebrd (M, N, A, LDA, D, E, T, info)
subroutine | plasma_dgelqf (M, N, A, LDA, T, info)
subroutine | plasma_dgelqs (M, N, NRHS, A, LDA, T, B, LDB, info)
subroutine | plasma_dgels (trans, M, N, NRHS, A, LDA, T, B, LDB, info)
subroutine | plasma_dgemm (transA, transB, M, N, K, alpha, A, LDA, B, LDB, beta, C, LDC, info)
subroutine | plasma_dgeqrf (M, N, A, LDA, T, info)
subroutine | plasma_dgeqrs (M, N, NRHS, A, LDA, T, B, LDB, info)
subroutine | plasma_dgesv (N, NRHS, A, LDA, IPIV, B, LDB, info)
subroutine | plasma_dgesv_incpiv (N, NRHS, A, LDA, L, IPIV, B, LDB, info)
subroutine | plasma_dgesvd (jobu, jobvt, M, N, A, LDA, S, U, LDU, VT, LDVT, T, info)
subroutine | plasma_dgetrf (M, N, A, LDA, IPIV, info)
subroutine | plasma_dgetrf_incpiv (M, N, A, LDA, L, IPIV, info)
subroutine | plasma_dgetrs (trans, N, NRHS, A, LDA, IPIV, B, LDB, info)
subroutine | plasma_dgetrs_incpiv (trans, N, NRHS, A, LDA, L, IPIV, B, LDB, info)
subroutine | plasma_dsyev (jobz, uplo, N, A, LDA, W, T, Q, LDQ, info)
subroutine | plasma_dsyevd (jobz, uplo, N, A, LDA, W, T, Q, LDQ, info)
subroutine | plasma_dsygv (itype, jobz, uplo, N, A, LDA, B, LDB, W, T, Q, LDQ, info)
subroutine | plasma_dsygvd (itype, jobz, uplo, N, A, LDA, B, LDB, W, T, Q, LDQ, info)
subroutine | plasma_dsygst (itype, uplo, N, A, LDA, B, LDB, info)
subroutine | plasma_dsytrd (jobz, uplo, N, A, LDA, D, E, descT, Q, LDQ, info)
real(kind=c_double) function | plasma_dlange (norm, M, N, A, LDA, work)
real(kind=c_double) function | plasma_dlansy (norm, uplo, N, A, LDA, work)
subroutine | plasma_dlaswp (N, A, LDA, K1, K2, IPIV, INCX, info)
subroutine | plasma_dlauum (uplo, N, A, LDA, info)
subroutine | plasma_dplgsy (bump, N, A, LDA, seed, info)
subroutine | plasma_dplrnt (M, N, A, LDA, seed, info)
subroutine | plasma_dposv (uplo, N, NRHS, A, LDA, B, LDB, info)
subroutine | plasma_dpotrf (uplo, N, A, LDA, info)
subroutine | plasma_dpotri (uplo, N, A, LDA, info)
subroutine | plasma_dpotrs (uplo, N, NRHS, A, LDA, B, LDB, info)
subroutine | plasma_dsymm (side, uplo, M, N, alpha, A, LDA, B, LDB, beta, C, LDC, info)
subroutine | plasma_dsyrk (uplo, trans, N, K, alpha, A, LDA, beta, C, LDC, info)
subroutine | plasma_dsyr2k (uplo, trans, N, K, alpha, A, LDA, B, LDB, beta, C, LDC, info)
subroutine | plasma_dtrmm (side, uplo, transA, diag, N, NRHS, alpha, A, LDA, B, LDB, info)
subroutine | plasma_dtrsm (side, uplo, transA, diag, N, NRHS, alpha, A, LDA, B, LDB, info)
subroutine | plasma_dtrsmpl (N, NRHS, A, LDA, L, IPIV, B, LDB, info)
subroutine | plasma_dtrtri (uplo, diag, N, A, LDA, info)
subroutine | plasma_dorglq (M, N, K, A, LDA, T, B, LDB, info)
subroutine | plasma_dorgqr (M, N, K, A, LDA, T, B, LDB, info)
subroutine | plasma_dormlq (side, trans, M, N, K, A, LDA, T, B, LDB, info)
subroutine | plasma_dormqr (side, trans, M, N, K, A, LDA, T, B, LDB, info)
subroutine | plasma_dgecfi (m, n, A, fin, imb, inb, fout, omb, onb, info)
subroutine | plasma_dgetmi (m, n, A, fin, mb, nb, info)
subroutine | plasma_dgetri (N, A, LDA, IPIV, info)
subroutine | plasma_dlacpy (uplo, M, N, A, LDA, B, LDB, info)
subroutine | plasma_dlaset (uplo, M, N, alpha, beta, A, LDA, info)
subroutine | plasma_dlaswpc (N, A, LDA, K1, K2, IPIV, INCX, info)
subroutine | plasma_dtrsmrv (side, uplo, transA, diag, N, NRHS, alpha, A, LDA, B, LDB, info)
subroutine | plasma_dgebrd_tile (A, D, E, T, info)
subroutine | plasma_dgelqf_tile (A, T, info)
subroutine | plasma_dgelqs_tile (A, T, B, info)
subroutine | plasma_dgels_tile (trans, A, T, B, info)
subroutine | plasma_dgemm_tile (transA, transB, alpha, A, B, beta, C, info)
subroutine | plasma_dgeqrf_tile (A, T, info)
subroutine | plasma_dgeqrs_tile (A, T, B, info)
subroutine | plasma_dgesv_tile (A, IPIV, B, info)
subroutine | plasma_dgesv_incpiv_tile (A, L, IPIV, B, info)
subroutine | plasma_dgesvd_tile (jobu, jobvt, A, S, U, VT, T, info)
subroutine | plasma_dgetrf_tile (A, IPIV, info)
subroutine | plasma_dgetrf_incpiv_tile (A, L, IPIV, info)
subroutine | plasma_dgetrs_tile (trans, A, IPIV, B, info)
subroutine | plasma_dgetrs_incpiv_tile (A, L, IPIV, B, info)
subroutine | plasma_dsyev_tile (jobz, uplo, A, W, T, Q, LDQ, info)
subroutine | plasma_dsyevd_tile (jobz, uplo, A, W, T, Q, LDQ, info)
subroutine | plasma_dsygv_tile (itype, jobz, uplo, A, B, W, T, Q, info)
subroutine | plasma_dsygvd_tile (itype, jobz, uplo, A, B, W, T, Q, info)
subroutine | plasma_dsygst_tile (itype, uplo, A, B, info)
subroutine | plasma_dsytrd_tile (jobz, uplo, A, D, E, T, Q, LDQ, info)
real(kind=c_double) function | plasma_dlange_tile (norm, A, work)
real(kind=c_double) function | plasma_dlansy_tile (norm, uplo, A, work)
subroutine | plasma_dlaswp_tile (A, K1, K2, IPIV, INCX, info)
subroutine | plasma_dlauum_tile (uplo, A, info)
subroutine | plasma_dplgsy_tile (bump, A, seed, info)
subroutine | plasma_dplrnt_tile (A, seed, info)
subroutine | plasma_dposv_tile (uplo, A, B, info)
subroutine | plasma_dpotrf_tile (uplo, A, info)
subroutine | plasma_dpotri_tile (uplo, A, info)
subroutine | plasma_dpotrs_tile (uplo, A, B, info)
subroutine | plasma_dsymm_tile (side, uplo, alpha, A, B, beta, C, info)
subroutine | plasma_dsyrk_tile (uplo, trans, alpha, A, beta, C, info)
subroutine | plasma_dsyr2k_tile (uplo, trans, alpha, A, B, beta, C, info)
subroutine | plasma_dtrmm_tile (side, uplo, transA, diag, alpha, A, B, info)
subroutine | plasma_dtrsm_tile (side, uplo, transA, diag, alpha, A, B, info)
subroutine | plasma_dtrsmpl_tile (A, L, IPIV, B, info)
subroutine | plasma_dtrtri_tile (uplo, diag, A, info)
subroutine | plasma_dorglq_tile (A, T, B, info)
subroutine | plasma_dorgqr_tile (A, T, B, info)
subroutine | plasma_dormlq_tile (side, trans, A, T, B, info)
subroutine | plasma_dormqr_tile (side, trans, A, T, B, info)
subroutine | plasma_dgetri_tile (A, IPIV, info)
subroutine | plasma_dlacpy_tile (uplo, A, B, info)
subroutine | plasma_dlaset_tile (uplo, alpha, beta, A, info)
subroutine | plasma_dlaswpc_tile (A, K1, K2, IPIV, INCX, info)
subroutine | plasma_dtrsmrv_tile (side, uplo, transA, diag, alpha, A, B, info)
subroutine | plasma_dgetri_tile_async (A, IPIV, W, sequence, request, info)
subroutine | plasma_dlange_tile_async (norm, A, work, value, sequence, request, info)
subroutine | plasma_dlansy_tile_async (norm, uplo, A, work, value, sequence, request, info)
subroutine | plasma_dgebrd_tile_async (A, D, E, T, sequence, request, info)
subroutine | plasma_dgecfi_async (m, n, A, fin, imb, inb, fout, omb, onb, sequence, request, info)
subroutine | plasma_dgelqf_tile_async (A, T, sequence, request, info)
subroutine | plasma_dgelqs_tile_async (A, T, B, sequence, request, info)
subroutine | plasma_dgels_tile_async (trans, A, T, B, sequence, request, info)
subroutine | plasma_dgemm_tile_async (transA, transB, alpha, A, B, beta, C, sequence, request, info)
subroutine | plasma_dgeqrf_tile_async (A, T, sequence, request, info)
subroutine | plasma_dgeqrs_tile_async (A, T, B, sequence, request, info)
subroutine | plasma_dgesv_tile_async (A, IPIV, B, sequence, request, info)
subroutine | plasma_dgesv_incpiv_tile_async (A, L, IPIV, B, sequence, request, info)
subroutine | plasma_dgesvd_tile_async (jobu, jobvt, A, S, U, VT, T, sequence, request, info)
subroutine | plasma_dgetmi_async (m, n, A, fin, mb, nb, sequence, request, info)
subroutine | plasma_dgetrf_tile_async (A, IPIV, sequence, request, info)
subroutine | plasma_dgetrf_incpiv_tile_async (A, L, IPIV, sequence, request, info)
subroutine | plasma_dgetrs_tile_async (trans, A, IPIV, B, sequence, request, info)
subroutine | plasma_dgetrs_incpiv_tile_async (A, L, IPIV, B, sequence, request, info)
subroutine | plasma_dsyev_tile_async (jobz, uplo, A, W, T, Q, LDQ, sequence, request, info)
subroutine | plasma_dsyevd_tile_async (jobz, uplo, A, W, T, Q, LDQ, sequence, request, info)
subroutine | plasma_dsygv_tile_async (itype, jobz, uplo, A, B, W, T, Q, sequence, request, info)
subroutine | plasma_dsygvd_tile_async (itype, jobz, uplo, A, B, W, T, Q, sequence, request, info)
subroutine | plasma_dsygst_tile_async (itype, uplo, A, B, sequence, request, info)
subroutine | plasma_dsytrd_tile_async (jobz, uplo, A, D, E, T, Q, LDQ, sequence, request, info)
subroutine | plasma_dlaswp_tile_async (A, K1, K2, IPIV, INCX, sequence, request, info)
subroutine | plasma_dlauum_tile_async (uplo, A, sequence, request, info)
subroutine | plasma_dplgsy_tile_async (bump, A, seed, sequence, request, info)
subroutine | plasma_dplrnt_tile_async (A, seed, sequence, request, info)
subroutine | plasma_dposv_tile_async (uplo, A, B, sequence, request, info)
subroutine | plasma_dpotrf_tile_async (uplo, A, sequence, request, info)
subroutine | plasma_dpotri_tile_async (uplo, A, sequence, request, info)
subroutine | plasma_dpotrs_tile_async (uplo, A, B, sequence, request, info)
subroutine | plasma_dsymm_tile_async (side, uplo, alpha, A, B, beta, C, sequence, request, info)
subroutine | plasma_dsyrk_tile_async (uplo, trans, alpha, A, beta, C, sequence, request, info)
subroutine | plasma_dsyr2k_tile_async (uplo, trans, alpha, A, B, beta, C, sequence, request, info)
subroutine | plasma_dtrmm_tile_async (side, uplo, transA, diag, alpha, A, B, sequence, request, info)
subroutine | plasma_dtrsm_tile_async (side, uplo, transA, diag, alpha, A, B, sequence, request, info)
subroutine | plasma_dtrsmpl_tile_async (A, L, IPIV, B, sequence, request, info)
subroutine | plasma_dtrtri_tile_async (uplo, diag, A, sequence, request, info)
subroutine | plasma_dorglq_tile_async (A, T, B, sequence, request, info)
subroutine | plasma_dorgqr_tile_async (A, T, B, sequence, request, info)
subroutine | plasma_dormlq_tile_async (side, trans, A, T, B, sequence, request, info)
subroutine | plasma_dormqr_tile_async (side, trans, A, T, B, sequence, request, info)
subroutine | plasma_dlacpy_tile_async (uplo, A, B, sequence, request, info)
subroutine | plasma_dlaset_tile_async (uplo, alpha, beta, A, sequence, request, info)
subroutine | plasma_dlaswpc_tile_async (A, K1, K2, IPIV, INCX, sequence, request, info)
subroutine | plasma_dtrsmrv_tile_async (side, uplo, transA, diag, alpha, A, B, sequence, request, info)
subroutine | plasma_alloc_workspace_dgelqf (M, N, T, info)
subroutine | plasma_alloc_workspace_dgels (M, N, T, info)
subroutine | plasma_alloc_workspace_dgeqrf (M, N, T, info)
subroutine | plasma_alloc_workspace_dgesv_incpiv (N, L, IPIV, info)
subroutine | plasma_alloc_workspace_dgetrf_incpiv (M, N, L, IPIV, info)
subroutine | plasma_alloc_workspace_dgeev (N, T, info)
subroutine | plasma_alloc_workspace_dgebrd (M, N, T, info)
subroutine | plasma_alloc_workspace_dgehrd (N, T, info)
subroutine | plasma_alloc_workspace_dgesvd (M, N, T, info)
subroutine | plasma_alloc_workspace_dsyev (M, N, T, info)
subroutine | plasma_alloc_workspace_dsyevd (M, N, T, info)
subroutine | plasma_alloc_workspace_dsygv (M, N, T, info)
subroutine | plasma_alloc_workspace_dsygvd (M, N, T, info)
subroutine | plasma_alloc_workspace_dsytrd (M, N, T, info)
subroutine | plasma_alloc_workspace_dgelqf_tile (M, N, descT, info)
subroutine | plasma_alloc_workspace_dgels_tile (M, N, descT, info)
subroutine | plasma_alloc_workspace_dgeqrf_tile (M, N, descT, info)
subroutine | plasma_alloc_workspace_dgesv_incpiv_tile (N, descL, IPIV, info)
subroutine | plasma_alloc_workspace_dgetrf_incpiv_tile (N, descL, IPIV, info)
subroutine | plasma_alloc_workspace_dgetri_tile_async (A, W, info)
subroutine | plasma_dlapack_to_tile (Af77, LDA, A, info)
subroutine | plasma_dtile_to_lapack (A, Af77, LDA, info)
subroutine | plasma_dlapack_to_tile_async (Af77, LDA, A, sequence, request, info)
subroutine | plasma_dtile_to_lapack_async (A, Af77, LDA, sequence, request, info)